Bug 828720 - Review Request: brainfuck - An interpreter of the brainf*ck language
Review Request: brainfuck - An interpreter of the brainf*ck language
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 05:07 EDT by Shakthi Kannan
Modified: 2012-12-25 00:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-05 05:07:07 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/brainfuck.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/brainfuck-0.1-1.fc16.src.rpm
Description: An interpreter of the brainf*ck language
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-05 05:09:51 EDT
$  rpmlint brainfuck.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint brainfuck-0.1-1.fc16.src.rpm 
brainfuck.src: W: name-repeated-in-summary C brainfuck
brainfuck.src: W: invalid-license GPL
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$  rpmlint brainfuck-0.1-1.fc16.x86_64.rpm 
brainfuck.x86_64: W: name-repeated-in-summary C brainfuck
brainfuck.x86_64: W: invalid-license GPL
brainfuck.x86_64: E: incorrect-fsf-address /usr/share/doc/brainfuck-0.1/LICENSE
brainfuck.x86_64: W: no-manual-page-for-binary bf
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4127876
http://koji.fedoraproject.org/koji/taskinfo?taskID=4127879
http://koji.fedoraproject.org/koji/taskinfo?taskID=4127880
Comment 3 Narasimhan 2012-09-07 09:42:25 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i *.rpm ../brainfuck.spec 
brainfuck.src: W: name-repeated-in-summary C brainfuck
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

brainfuck.x86_64: W: name-repeated-in-summary C brainfuck
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

brainfuck.x86_64: E: incorrect-fsf-address /usr/share/doc/brainfuck-0.1/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

brainfuck.x86_64: W: no-manual-page-for-binary bf
Each executable in standard binary directories should have a man page.

ghc-brainfuck.x86_64: E: incorrect-fsf-address /usr/share/doc/brainfuck-0.1/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ghc-brainfuck.x86_64: E: incorrect-fsf-address /usr/share/doc/ghc-brainfuck-0.1/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

4 packages and 1 specfiles checked; 3 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, GPLv2
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - Not OK, please provide better summary and description.
        API documentation - OK, in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
GPLv2
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

sha256sum brainfuck-0.1.tar.gz  brainfuck-0.1-2.fc16.src/brainfuck-0.1.tar.gz 
e3a382b42cb4f431574a6401ab7d45a8e18aae21aee9a6a46c11e5489e305c53  brainfuck-0.1.tar.gz
e3a382b42cb4f431574a6401ab7d45a8e18aae21aee9a6a46c11e5489e305c53  brainfuck-0.1-2.fc16.src/brainfuck-0.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
Checked with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[-]SHOULD: The package should compile and build into binary rpms on all supported architectures.
Built on x86_64 and x86.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Ran bf. Loaded Language.Brainfuck into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[-]SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

cabal2spec-diff is OK.

Please fix summary and description in the spec file. 

APPROVED.

Request upstream for a man page. In ghc-show, you have provided a patch for fixing incorrect fsf address. Are you planning to provide the same patch here?
Comment 4 Shakthi Kannan 2012-09-07 09:58:44 EDT
I'll provide a patch to fix the FSF address before import, and also send it upstream. Will also request upstream to provide a man page.

Thanks for the review.
Comment 5 Shakthi Kannan 2012-09-07 10:00:27 EDT
New Package SCM Request
=======================
Package Name: brainfuck
Short Description: Haskell brainfuck library
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 6 Jon Ciesla 2012-09-07 10:04:43 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-09-07 10:49:40 EDT
brainfuck-0.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/brainfuck-0.1-3.fc17
Comment 8 Fedora Update System 2012-09-07 10:49:51 EDT
brainfuck-0.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/brainfuck-0.1-3.fc16
Comment 9 Fedora Update System 2012-09-07 10:50:03 EDT
brainfuck-0.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/brainfuck-0.1-3.fc18
Comment 10 Fedora Update System 2012-09-07 15:36:16 EDT
brainfuck-0.1-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-17 13:44:04 EDT
brainfuck-0.1-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-09-17 14:04:43 EDT
brainfuck-0.1-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-09-17 19:21:07 EDT
brainfuck-0.1-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Maurizio 2012-12-22 20:45:05 EST
brains storming
Comment 15 Jens Petersen 2012-12-25 00:38:44 EST
Not sure why haskell-devel@lists.fedoraproject.org removed itself.

Note You need to log in before you can comment on or make changes to this bug.